Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 456178

Summary: Review Request: pyabiword - Python bindings for libabiword
Product: [Fedora] Fedora Reporter: Marc Maurer <uwog>
Component: Package ReviewAssignee: Robin Norwood <robin.norwood>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, kevin, mpg, notting
Target Milestone: ---Flags: robin.norwood: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-31 20:14:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Marc Maurer 2008-07-21 22:46:42 UTC
Spec URL: http://uwog.net/~uwog/pyabiword.spec
SRPM URL: http://uwog.net/~uwog/pyabiword-0.6.1-1.fc9.src.rpm
Description: Python bindings for libabiword

Comment 1 Robin Norwood 2008-07-22 16:30:43 UTC
$ rpmlint ~/rpmbuild/SRPMS/pyabiword-0.6.1-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/rnorwood/rpmbuild/RPMS/i386/pyabiword-0.6.1-1.fc9.i386.rpm
pyabiword.i386: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

o AUTHORS and COPYING are good candidates for marking as
%doc. (COPYING must be included).  Also, the contents of the examples/
directory could be included.

o The source files don't include a license, which they should.
The contents of the COPYING file (GPLv2) isn't enough to indicate the
license.  See: http://fedoraproject.org/wiki/Licensing/FAQ

o The 'Vendor' tag should not be used according to Fedora packaging guidelines.
http://fedoraproject.org/wiki/Packaging/Guidelines

Everything else looks ok to me.  Once the above issues are fixed, I can approve.


Comment 2 Robin Norwood 2008-07-22 16:32:08 UTC
Oops, I shouldn't have set the review flag to '-' while awaiting these fixes.

Comment 3 Marc Maurer 2008-07-22 17:51:14 UTC
Spec URL: http://uwog.net/~uwog/pyabiword.spec
SRPM URL: http://uwog.net/~uwog/pyabiword-0.6.1-2.fc9.src.rpm

Changes:
- Added documentation, including examples
- Removed old Vendor tag

Re licensing: I think the implied version is GPLv2+, as pyabiword links with
libabiword. I'd prefer to update the spec when I get explicit approval from all
contributors though.

Comment 4 Robin Norwood 2008-07-22 22:10:49 UTC
Sorry, I neglected to check for missing BuildRequires - These needed to be added
for the package to build in koji:

BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: libgnomeprintui22-devel
BuildRequires: goffice04-devel
BuildRequires: enchant-devel
BuildRequires: fribidi-devel
BuildRequires: wv-devel


Comment 5 Robin Norwood 2008-07-22 22:12:51 UTC
Assuming license issues and BR's are added, this gets a pass from me.

Comment 6 Marc Maurer 2008-07-22 22:29:17 UTC
New Package CVS Request
=======================
Package Name: pyabiword
Short Description: Python bindings for libabiword
Owners: uwog
Branches: F-9 devel OLPC-3
InitialCC: uwog
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-07-23 03:11:09 UTC
Can we please sort out the license before importing/building? 
We don't want to distribute something we are unsure of the license of... 

Comment 8 Marc Maurer 2008-07-23 09:09:23 UTC
I am _sure_ it is GPL1+ now, because that is actually how the license works: if
no explicit version is given, and that copyright file is included, then it is
GPLv1+. That's just how it works. I asked some of the pyabiword devs, and they
agree with that.

Now, that does not mean that I can't make the next release v2+ (which I will do,
but 'relicencing' always takes time), but _this_ release is GPLv1+.

Comment 9 Kevin Fenzi 2008-07-23 15:41:14 UTC
Ah indeed... sorry for the confusion on my part here, I was thinking there was
no indication what the license was at all. :( 

cvs done.



Comment 10 Robin Norwood 2008-07-31 01:53:35 UTC
Marc, I think you can close this now.  Thanks.

Comment 11 Marc Maurer 2008-07-31 20:14:31 UTC
Yep, thx.